Skip to main content
GET
/
v0
/
persons
/
{person_id}
/
logs
/
{person_log_id}
Get person log
curl --request GET \
  --url https://api.tryarchitect.com/v0/persons/{person_id}/logs/{person_log_id} \
  --header 'x-api-key: <api-key>'
{
  "personId": "<string>",
  "personLogId": "<string>",
  "source": "<string>",
  "type": "<string>",
  "payload": {},
  "idempotencyKey": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "deletedAt": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

person_id
string
required

person_id parameter

person_log_id
string
required

person_log_id parameter

Response

Successful operation

personId
string
required

The person that owns the log entry

Minimum string length: 1
personLogId
string
required

Stable person log entry ID

Minimum string length: 1
source
string
required

Stored person log source

Required string length: 1 - 100
Pattern: ^[a-z0-9]+(-[a-z0-9]+)*$
type
string
required

Stored person log source

Required string length: 1 - 100
Pattern: ^[a-z0-9]+(-[a-z0-9]+)*$
payload
object
required
idempotencyKey
string | null
required
Required string length: 1 - 255
createdAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
updatedAt
string | null
required
Pattern: ^\+[1-9]\d{1,14}$
deletedAt
string | null
required
Pattern: ^\+[1-9]\d{1,14}$